Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaId

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaId

All Implemented Interfaces:
  XMLSerializable

    public class JpaId

extends JpaAttribute

Field Summary
`protected JpaColumn` | `column`
`protected JpaGeneratedValue` | `generatedValue`
`protected JpaSequenceGenerator` | `sequenceGenerator`
`protected JpaTableGenerator` | `tableGenerator`
`protected javax.persistence.TemporalType` | `temporal`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaId()`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaColumn` | `getColumn()`
`int` | `getDefaultJdbcType()` Returns default JDBC mapping for this basic attribute.
`JpaGeneratedValue` | `getGeneratedValue()`
`JpaSequenceGenerator` | `getSequenceGenerator()`
`JpaTableGenerator` | `getTableGenerator()`
`javax.persistence.TemporalType` | `getTemporal()`
`void` | `setColumn(JpaColumn column)`
`void` | `setGeneratedValue(JpaGeneratedValue generatedValue)`
`void` | `setSequenceGenerator(JpaSequenceGenerator sequenceGenerator)`
`void` | `setTableGenerator(JpaTableGenerator tableGenerator)`
`void` | `setTemporal(javax.persistence.TemporalType temporal)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`getName, getPropertyDescriptor, setName, setPropertyDescriptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### column

    protected JpaColumn column

### generatedValue

    protected JpaGeneratedValue generatedValue

### temporal

    protected javax.persistence.TemporalType temporal

### tableGenerator

    protected JpaTableGenerator tableGenerator

### sequenceGenerator

    protected JpaSequenceGenerator sequenceGenerator

Constructor Detail

### JpaId

    public JpaId()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Specified by:
    `encodeAsXML` in class `JpaAttribute`

### getDefaultJdbcType

    public int getDefaultJdbcType()

  Returns default JDBC mapping for this basic attribute.

### getColumn

    public JpaColumn getColumn()

### setColumn

    public void setColumn(JpaColumn column)

### getGeneratedValue

    public JpaGeneratedValue getGeneratedValue()

### setGeneratedValue

    public void setGeneratedValue(JpaGeneratedValue generatedValue)

### getTemporal

    public javax.persistence.TemporalType getTemporal()

### setTemporal

    public void setTemporal(javax.persistence.TemporalType temporal)

### getSequenceGenerator

    public JpaSequenceGenerator getSequenceGenerator()

### setSequenceGenerator

    public void setSequenceGenerator(JpaSequenceGenerator sequenceGenerator)

### getTableGenerator

    public JpaTableGenerator getTableGenerator()

### setTableGenerator

    public void setTableGenerator(JpaTableGenerator tableGenerator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.